# Common

Common symbols information

## Get symbols info

> Get trading pair information. Weight: 5.

```json
{"openapi":"3.0.3","info":{"title":"Pionex Open API","version":"1.0.0"},"tags":[{"name":"Common","description":"Common symbols information"}],"servers":[{"url":"https://api.pionex.com","description":"Production"}],"paths":{"/api/v1/common/symbols":{"get":{"tags":["Common"],"summary":"Get symbols info","description":"Get trading pair information. Weight: 5.","operationId":"getSymbols","parameters":[{"name":"symbols","in":"query","description":"Concatenate multiple symbols with ','","schema":{"type":"string"}},{"name":"type","in":"query","description":"Market type. Defaults to SPOT when symbol is not specified.","schema":{"type":"string","enum":["SPOT","PERP"]}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/BaseResponse"},{"type":"object","properties":{"data":{"type":"object","properties":{"symbols":{"type":"array","items":{"$ref":"#/components/schemas/SymbolInfo"}}}}}}]}}}}}}}},"components":{"schemas":{"BaseResponse":{"type":"object","properties":{"result":{"type":"boolean","description":"Request success indicator"},"timestamp":{"type":"integer","format":"int64","description":"Response timestamp in milliseconds"}}},"SymbolInfo":{"type":"object","properties":{"symbol":{"type":"string","description":"Trading pair identifier"},"name":{"type":"string","description":"Name (PERP only)"},"type":{"type":"string","enum":["SPOT","PERP"],"description":"Market type"},"baseCurrency":{"type":"string","description":"Base asset"},"quoteCurrency":{"type":"string","description":"Quote asset"},"basePrecision":{"type":"integer","description":"Base currency decimal places"},"quotePrecision":{"type":"integer","description":"Quote currency decimal places"},"amountPrecision":{"type":"integer","description":"Market buy order amount decimal places"},"minNotional":{"type":"string","description":"Minimum notional value (PERP only)"},"minAmount":{"type":"string","description":"Minimum order amount (SPOT only)"},"minTradeSize":{"type":"string","description":"Minimum limit order quantity"},"maxTradeSize":{"type":"string","description":"Maximum limit order quantity"},"minTradeDumping":{"type":"string","description":"Minimum market sell quantity"},"maxTradeDumping":{"type":"string","description":"Maximum market sell quantity"},"buyCeiling":{"type":"string","description":"Maximum buy price multiplier ratio"},"sellFloor":{"type":"string","description":"Minimum sell price multiplier ratio"},"enable":{"type":"boolean","description":"Whether trading is enabled"},"maxImpactMarket":{"type":"string","description":"Market order max impact price (PERP only)"},"liquidationFeeRate":{"type":"string","description":"Liquidation fee percentage (PERP only)"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://www.pionex.com/docs/api-docs/zh-hant/trade-api/common.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
